<?php
/*
Fruity - A Nagios Configuration Tool
Copyright (C) 2005 Groundwork Open Source Solutions

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
/*
	Filename: sidenav.php
	Description:
	Side Navigation Browser for the current network.
*/
include_once('includes/config.inc');
include_once('HTML/TreeMenu.php');

// Function:	buildTree
// Description:	Recursive function to build the network layout in tree form for sidenav
// Status:	Pending Testing

function buildTree($curhost, &$node) {
	global $fruity;
	// set our icons
	$icon         = 'plus.gif';
	$expandedIcon = 'minus.gif';
		$fruity->get_children_hosts_list($curhost, $childrenList);
	if($childrenList) {
		foreach($childrenList as $child) {
			$fruity->get_children_hosts_list($child['host_id'], $subChildrenList);
			if($subChildrenList) {	// This host has children hosts
				$tempNode = &$node->addItem(new HTML_TreeNode(array('text' => '<b>'.$child['host_name'].'</b>', 'class' => 'treeNode', 'link' => 'hosts.php?host_id='. $child['host_id'], 'linkTarget' => 'rightHome')));
				buildTree($child['host_id'], $tempNode);
			}
			else {
				$tempNode = &$node->addItem(new HTML_TreeNode(array('text' => $child['host_name'], 'link' => 'hosts.php?host_id='. $child['host_id'], 'linkTarget' => 'rightHome')));
			}
		}
	}
}


// Create our TreeMenu object.
$menu = new HTML_TreeMenu();

// Create our top level node for our TreeMenu.
$topNode = new HTML_TreeNode(array('text' => "<b>".$sys_config['network_desc'] ."</b><br />", 'link' => 'hosts.php', 'linkTarget' => 'rightHome'));

buildTree(0, $topNode);
$menu->addItem($topNode);
$treeMenu = &new HTML_TreeMenu_DHTML($menu, array('images' => 'images', 'defaultClass' => 'treeNode'));

print_blank_header("#ccccdd");
?>
<script src="TreeMenu.js" language="JavaScript" type="text/javascript"></script>
<table width="100%" cellspacing="0" cellpadding="0">
<tr>
	<td class="navbar" bgcolor="#bbbbdd">
	<table cellpadding="2" border="0">
	<tr>
	<td height="40" class="titlebar">Browser</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td height="1" bgcolor="#aaaaaa"><img src="<?=$path_config['image_root'];?>dotclear.gif" height="1" width="1" /></td>
</tr>
</table>
<table>
<tr>
<td>
<div class="small">[<a class="headerlink" href="<?=$path_config['doc_root'];?>sidenav.php?reload=1">Reload</a>]<br />
</td>
<table>
<tr>
<td><?$treeMenu->printMenu();?></td>
</tr>
</table>
</div>

<?php
print_blank_footer();

?>
